"ubuntu-bug thunderbird" produces a stackstrace: TypeError: expected string or bytes-like object

Bug #1943234 reported by Thomas Bechtold
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
thunderbird (Ubuntu)
Medium
Olivier Tilloy

Bug Description

$ ubuntu-bug thunderbird
ERROR: hook /usr/share/apport/package-hooks/source_thunderbird.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport/report.py", line 228, in _run_hook
    symb['add_info'](report, ui)
  File "/usr/share/apport/package-hooks/source_thunderbird.py", line 1386, in add_info
    if (profile.current or profile.default) and profile.addon_compat_check_disabled:
  File "/usr/share/apport/package-hooks/source_thunderbird.py", line 1227, in addon_compat_check_disabled
    is_nightly = re.sub(r'^[^\.]+\.[0-9]+([a-z0-9]*).*', r'\1', self.last_version) == 'a1'
  File "/usr/lib/python3.9/re.py", line 210, in sub
    return _compile(pattern, flags).sub(repl, string, count)
TypeError: expected string or bytes-like object

Note that this does open the window to send the data and it's possible to fill a bug, but it's not nice to get the stacktrace.

ProblemType: Bug
DistroRelease: Ubuntu 21.10
Package: thunderbird 1:78.13.0+build1-0ubuntu2
ProcVersionSignature: Ubuntu 5.13.0-14.14-generic 5.13.1
Uname: Linux 5.13.0-14-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.11-0ubuntu68
Architecture: amd64
BuildID: 20210802223056
CasperMD5CheckResult: unknown
CurrentDesktop: ubuntu:GNOME
Date: Fri Sep 10 09:33:35 2021
DefaultProfileExtensions: extensions.sqlite corrupt or missing
DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
DefaultProfileLocales: extensions.sqlite corrupt or missing
DefaultProfilePrefErrors: Unexpected character ',' before close parenthesis @ /usr/lib/thunderbird/omni.ja:greprefs.js:732
DefaultProfileThemes: extensions.sqlite corrupt or missing
InstallationDate: Installed on 2020-12-08 (275 days ago)
InstallationMedia: Ubuntu 20.10 "Groovy Gorilla" - Release amd64 (20201022)
Profiles:
 Profile1 (Default) - LastVersion=None/None (Out of date)
 Profile0 - LastVersion=78.13.0/20210802223056 (In use)
SourcePackage: thunderbird
UpgradeStatus: Upgraded to impish on 2021-08-17 (23 days ago)

Revision history for this message
Thomas Bechtold (toabctl) wrote :
Revision history for this message
Olivier Tilloy (osomon) wrote :

This affects all supported versions of Ubuntu (18.04 has python 3.6.9).

Changed in thunderbird (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Revision history for this message
Olivier Tilloy (osomon) wrote :

Fixed with https://bazaar.launchpad.net/~mozillateam/thunderbird/thunderbird.impish/revision/639.

Note however that there are several other issues with the apport hook, starting with not detecting correctly the default profile (see https://code.launchpad.net/~seb128/thunderbird/default-profile-fix/+merge/392985), so more work is needed to make it really useful again.

Changed in thunderbird (Ubuntu):
status: Confirmed → Fix Committed
assignee: nobody → Olivier Tilloy (osomon)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 1:91.1.1+build2-0ubuntu1

---------------
thunderbird (1:91.1.1+build2-0ubuntu1) impish; urgency=medium

  * New upstream stable release (91.1.1build2)

  * Fix non-fatal stracktrace in the apport hook (LP: #1943234)
    - debian/apport/source_thunderbird.py.in

 -- Olivier Tilloy <email address hidden> Tue, 21 Sep 2021 10:35:30 +0200

Changed in thunderbird (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers